Invalid iOS Bundle [duplicate]

  • A+
Category:Languages

This question already has an answer here:

This bundle is invalid - The Info.plist file for /Payload/xxx.app/Frameworks/FBSDKCoreKit.framework/FacebookSDKStrings.bundle is missing or could not be read.

Invalid Bundle - The bundle at '/Payload/xxx.app/Frameworks/FBSDKCoreKit.framework/FacebookSDKStrings.bundle' does not contain a bundle executable.

I'm at the wits end now. I've spent over 6 hours trying to figure this one out. I've also manually downloaded the FB SDK for my Swift app and try to point the Framework to the FBSDKCoreKit.framework in the Downloaded package.

Deleted my derived date and cleaned everything before trying to upload again. Still can't figure out what's wrong. Any help would be appreciated.

 


I got a same issue.

This bundle is invalid - The Info.plist file for /Payload/Treats.app/Frameworks/FBSDKCoreKit.framework/FacebookSDKStrings.bundle is missing or could not be read. Invalid Bundle - The bundle at '/Payload/Treats.app/Frameworks/FBSDKCoreKit.framework/FacebookSDKStrings.bundle' does not contain a bundle executable.

I could resolve the issue by renaming FacebookSDKStrings.bundle to FacebookSDKStrings located in "Pods/Pods/FBSDKCoreKit/Resources/"

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: